Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.m4.utils
Class Print

    java.lang.Object
      edu.udo.cs.miningmart.m4.utils.Print

All Implemented Interfaces:
  java.io.Serializable

    public class Print

extends java.lang.Object
implements java.io.Serializable

The class Print prints all messages on the screen.

Version:
  $Id: Print.java,v 1.9 2006/09/27 14:59:54 euler Exp $
Author:
  Timm Euler, Martin Scholz, Daniel Hakenjos
See Also:
  Serialized Form

Field Summary
`static java.util.logging.Level` | `CACHE` Use this verbosity level for messages that concern the caching of M4 objects in the DB class.
`static java.util.logging.Level` | `COMPILER_CASE_CONTROL` Use this verbosity level for messages that concern the controlling of a case.
`static java.util.logging.Level` | `COMPILER_OP_CONTROL` Use this verbosity level for messages that concern the controlling of an operator.
`static java.util.logging.Level` | `COMPILER_STEP_CONTROL` Use this verbosity level for messages that concern the controlling of a step.
`static java.util.logging.Level` | `DB_READ` Use this verbosity level for messages about reading from the database.
`static java.util.logging.Level` | `DB_WRITE` Use this verbosity level for messages about updating the database.
`static java.util.logging.Level` | `DEFAULT_VERBOSITY` The default-verbosity-level.
`static java.util.logging.Level` | `ERROR` Use this verbosity-level for error-messages.
`static java.util.logging.Level` | `FATAL` Use this verbosity-level for fatal errors.
`static java.util.logging.Level` | `HELP` Use this verbosity level for messages from or about the help sets.
`static java.util.logging.Level` | `M4_OBJECT` Use this verbosity level for messages that concern the loading, the validity or the status of any M4 object.
`static java.util.logging.Level` | `MAX` Maximum verbosity level.
`static java.util.logging.Level` | `MIN` Minimum verbosity level.
`static java.util.logging.Level` | `OPERATOR` Use this verbosity level for messages that concern the execution of an operator.
`static java.util.logging.Level` | `PARAM` Use this verbosity level for messages that concern the loading, the validity or the status of an operator's parameters.
`static java.util.logging.Level` | `WARNING` Use this verbosity-level for warnings.

Method Summary
`void` | `addHandler(java.util.logging.Handler handler)` Adds an `OutputStream` as `StreamHandler` to the `Logger`.
`void` | `createLogger()` Creates the `Logger`.
`void` | `doPrint(java.util.logging.Level verbosityLevel, java.lang.String printString)` Prints a message according to the configuration of this Print object (depending on the constructor that was used).
`void` | `doPrint(java.util.logging.Level verbosityLevel, java.lang.String printString, java.lang.Throwable throwable)` Prints a message according to the configuration of this Print object (depending on the constructor that was used).
`static java.util.Collection` | `getAllVerbosityLevelNames(java.util.logging.Level minVerbosityLevel)` Convenience method to get all names of verbosity levels in descending order of verbosity, but only down to the given level.
`java.lang.String` | `getFileName()` Returns the file name (with complete path) of the file that this Print object prints to.
`static Print` | `getGlobalPrintObject()` Access to the one and only global Print object.
`static java.io.File` | `getLogFile()` Gets the logfile.
`java.util.logging.Logger` | `getLogger()` Gets the `Logger`.
`static java.io.File` | `getLogPath()` Gets the path to the logfile.
`java.util.logging.Level` | `getMinimumVerbosityLevel()` Gets the current minimum verbosity level that messages must have in order to be printed.
`static java.lang.String` | `getNameOfVerbosityLevel(java.util.logging.Level level)` Returns a fixed String to be used to display the given verbosity level.
`java.util.logging.Level[]` | `getTheLevel()` Gets all `Level`.
`static java.util.logging.Level` | `getVerbosityLevelForName(java.lang.String nameOfLevel)` Returns the verbosity level which is denoted by the given String, or DEFAULT_VERBOSITY if there is no level with that name.
`void` | `removeHandler(java.util.logging.Handler handler)`
`static void` | `removeLogFileLock()`
`void` | `setMinimumVerbosityLevel(java.util.logging.Level newLevel)` Changes the current minimum verbosity level that messages must have in order to be printed by the method `doPrint(int, String)`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MAX

    public static final java.util.logging.Level MAX

  Maximum verbosity level.

### FATAL

    public static final java.util.logging.Level FATAL

  Use this verbosity-level for fatal errors.

### ERROR

    public static final java.util.logging.Level ERROR

  Use this verbosity-level for error-messages.

### WARNING

    public static final java.util.logging.Level WARNING

  Use this verbosity-level for warnings.

### COMPILER_CASE_CONTROL

    public static final java.util.logging.Level COMPILER_CASE_CONTROL

  Use this verbosity level for messages that concern the controlling of a case.

### COMPILER_STEP_CONTROL

    public static final java.util.logging.Level COMPILER_STEP_CONTROL

  Use this verbosity level for messages that concern the controlling of a step.

### COMPILER_OP_CONTROL

    public static final java.util.logging.Level COMPILER_OP_CONTROL

  Use this verbosity level for messages that concern the controlling of an operator.

### OPERATOR

    public static final java.util.logging.Level OPERATOR

  Use this verbosity level for messages that concern the execution of an operator.

### CACHE

    public static final java.util.logging.Level CACHE

  Use this verbosity level for messages that concern the caching of M4 objects in the DB class.

### PARAM

    public static final java.util.logging.Level PARAM

  Use this verbosity level for messages that concern the loading, the validity or the status of an operator's parameters.

### M4_OBJECT

    public static final java.util.logging.Level M4_OBJECT

  Use this verbosity level for messages that concern the loading, the validity or the status of any M4 object.

### DB_WRITE

    public static final java.util.logging.Level DB_WRITE

  Use this verbosity level for messages about updating the database.

### DB_READ

    public static final java.util.logging.Level DB_READ

  Use this verbosity level for messages about reading from the database.

### HELP

    public static final java.util.logging.Level HELP

  Use this verbosity level for messages from or about the help sets.

### MIN

    public static final java.util.logging.Level MIN

  Minimum verbosity level.

### DEFAULT_VERBOSITY

    public static final java.util.logging.Level DEFAULT_VERBOSITY

  The default-verbosity-level.

Method Detail

### createLogger

    public void createLogger()

  Creates the `Logger`.

### getLogPath

    public static java.io.File getLogPath()

  Gets the path to the logfile.

### getLogFile

    public static java.io.File getLogFile()

  Gets the logfile.

### removeLogFileLock

    public static void removeLogFileLock()

### getLogger

    public java.util.logging.Logger getLogger()

  Gets the `Logger`.

### getGlobalPrintObject

    public static Print getGlobalPrintObject()

  Access to the one and only global Print object.

### getFileName

    public java.lang.String getFileName()

  Returns the file name (with complete path) of the file that this Print object prints to.

### addHandler

    public void addHandler(java.util.logging.Handler handler)

  Adds an `OutputStream` as `StreamHandler` to the `Logger`.

### removeHandler

    public void removeHandler(java.util.logging.Handler handler)

### doPrint

    public void doPrint(java.util.logging.Level verbosityLevel,
                        java.lang.String printString)

  Prints a message according to the configuration of this Print object (depending on the constructor that was used).

  Parameters:
    `verbosityLevel` - Use one of the public static fields of this class
    `printString` - The message to be printed

### doPrint

    public void doPrint(java.util.logging.Level verbosityLevel,
                        java.lang.String printString,
                        java.lang.Throwable throwable)

  Prints a message according to the configuration of this Print object (depending on the constructor that was used).

  Parameters:
    `verbosityLevel` - Use one of the public static fields of this class
    `printString` - The message to be printed

### setMinimumVerbosityLevel

    public void setMinimumVerbosityLevel(java.util.logging.Level newLevel)

  Changes the current minimum verbosity level that messages must have in order to be printed by the method `doPrint(int, String)`.

  Parameters:
    `newLevel` - The new minimum verbosity level.

### getMinimumVerbosityLevel

    public java.util.logging.Level getMinimumVerbosityLevel()

  Gets the current minimum verbosity level that messages must have in order to be printed.

### getNameOfVerbosityLevel

    public static java.lang.String getNameOfVerbosityLevel(java.util.logging.Level level)

  Returns a fixed String to be used to display the given verbosity level.

  Parameters:
    `level` - Use one of the public static constants of this class.
  Returns:
    a name to be used for that verbosity level

### getAllVerbosityLevelNames

    public static java.util.Collection getAllVerbosityLevelNames(java.util.logging.Level minVerbosityLevel)

  Convenience method to get all names of verbosity levels in descending order of verbosity, but only down to the given level.

  Parameters:
    `minVerbosityLevel` - the minimum level; only names of this level and higher are returned
  Returns:
    a Collection with the names of the verbosity levels in descending order of verbosity, down to the given minimum level

### getVerbosityLevelForName

    public static java.util.logging.Level getVerbosityLevelForName(java.lang.String nameOfLevel)

  Returns the verbosity level which is denoted by the given String, or DEFAULT_VERBOSITY if there is no level with that name.

  Parameters:
    `nameOfLevel` - Use only such names as have been returned by the method `getNameOfVerbosityLevel`. One of the public static constants of this class, or DEFAULT_VERBOSITY if no level with the given name exists.

### getTheLevel

    public java.util.logging.Level[] getTheLevel()

  Gets all `Level`.

  Returns:
    all Levels.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005